Prepare logos for new branding deployment
Closed, ResolvedPublic

Description

The following configuration changes when made will update the footers on various projects and remove the trademark. When the new branding code rolls out the image will also be used in the header.

  • Update mediawiki-config to disable the trademark before deployment
$wgMFTrademarkSitename = false;
];
  • Upload new wikipedia logos to wikimedia static file directory
  • Update logos (for top 10 wikis) using the new assets and dimensions
$wgMFCustomLogos = [
 'copyright' => '.../brand.svg',
 'copyright-width' => 118,
  'copyright-height' => 18
];

Assets

Languages

englishwikipedia-wordmark-en.svg18 x 116
Germanwikipedia-wordmark-en.svg18 x 116
Frenchwikipedia-wordmark-fr.svg18 x 116
Polishwikipedia-wordmark-en.svg18 x 116
Japanesewikipedia-wordmark-jp.svg18 x 116
Dutchwikipedia-wordmark-en.svg18 x 116
Italianwikipedia-wordmark-en.svg18 x 116
Spanishwikipedia-wordmark-en.svg18 x 116
Russianwikipedia-wordmark-ru.svg18 x 125
Catalanwikipedia-wordmark-ca.svg18 x 95
Hindiwikipedia-wordmark-hi.svg18 x 82
Hebrewwikipedia-wordmark-he.svg18 x 88

Projects

Commonscommons-wordmark-en.svg18 x 105
Wiki Voyagewikivoyage-wordmark-en.svg18 x 96
Wiktionarywikitionary-wordmark-en.svg18 x 90

Jdlrobson created this task.Feb 7 2017, 6:52 PM

@Nirzar can you provide assets for all the projects you want us to roll out to? I can actually swat this afternoon if you are able to respond quickly enough.

ovasileva raised the priority of this task from Normal to High.Feb 7 2017, 6:58 PM
Restricted Application added a subscriber: Dereckson. ยท View Herald TranscriptFeb 7 2017, 6:58 PM
demon added a comment.Feb 7 2017, 6:59 PM

You've got syntax errors in those snippets for what it's worth :)

Nirzar claimed this task.Feb 7 2017, 7:25 PM
greg removed a subscriber: greg.Feb 7 2017, 7:41 PM
Nirzar updated the task description. (Show Details)Feb 7 2017, 7:53 PM

Change 336466 had a related patch set uploaded (by Jdlrobson):
Update footer logos on mobile site for various projects

https://gerrit.wikimedia.org/r/336466

Nirzar updated the task description. (Show Details)Feb 7 2017, 8:20 PM

Change 336466 merged by jenkins-bot:
Update footer logos on mobile site for various projects

https://gerrit.wikimedia.org/r/336466

Mentioned in SAL (#wikimedia-operations) [2017-02-08T00:50:12Z] <thcipriani@tin> Synchronized static/images/mobile/copyright: SWAT: [[gerrit:336466|Update footer logos on mobile site for various projects]] PART I T157476 (duration: 00m 41s)

Mentioned in SAL (#wikimedia-operations) [2017-02-08T00:51:31Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:336466|Update footer logos on mobile site for various projects]] PART II T157476 (duration: 00m 41s)

@ovasileva as an FYI we've updated the logos on various wikis in preparation for rolling out the branding work.
You'll see logos in some of the footers
e.g.


When we roll out the new header work these logos will appear at the top of the page. Good hey?

We had some hiccups thanks to Nirzar's SVGs so I beat him with a stick:

Any questions? if not feel free to resolve this ticket!

phuedx reassigned this task from Nirzar to ovasileva.Feb 8 2017, 10:12 AM
phuedx added a subscriber: phuedx.
ovasileva closed this task as Resolved.Feb 8 2017, 12:24 PM

@Jdlrobson - this made my day. :) look good.